Subject: Re: /etc/rc.*

From: Charles Ewen MacMillan <[email-masked]>

On Tue, 6 Sep 1994, Hubert Feyrer wrote:

> Date: Tue, 6 Sep 94 00:50:26 +0200
> From: Hubert Feyrer <[email-masked]>
> To: "L. Todd Masco" <[email-masked]>,
>     [email-masked]
> Subject: /etc/rc.* (was: Re: /opt vs. /usr/local)
> 
> Yo, to start (another) religious war:
> 
> >  the other example I gave, rc.local vs. /etc/rc.*.  In that case,
> >  I think that /etc/rc.* is clearly better, and keeping to one
> >  initialization script is just plain dumb.
> 
> I certainly agree with that. Are there any plans undergoing for implementing
> init-levels into NetBSD? Having multiple startup-shutdown-scripts would be fine
> to have, even if difficult to understand at first.
> 
> I had to shutdown NFS-server-processes on a Solaris-machine today, and it was
> nothing but executing one single script that does nothing but that. I love
> it!:)
> 

 That should then, something which is an add on to people's systems
 as there is no reason for the majority of NetBSD users to have this 
 added in and supported in init or wherever the changes need be made.

 Some programs make the not unreasonable assumption that the script 
 /etc/rc.local exists (msgidd, CNews, others... ) and many others instruct 
 the sysadmin upon installation to make changes to this script.

 These installation instructions are going to be pretty much screwed
 when /usr/local and /etc/rc.local do not exist are they not?

 This is a BSD variant we are working with, not a SYSVr4 variant. 

 Every piece of source, that I have gotten to compile without difficulty
 under NetBSD, has made the assumption that I was on a BSD machine. Many
 configuration scripts look at the include files for the system, and
 determine _correctly_ that this is a BSD variant.

 If we want SYSVr4, we should go out and buy it, or buy Solaris and a Sun.

Charles Ewen MacMillan  | Tezcat.COM - Wicker Park 
  <[email-masked]>    | Offering Internet Access 
Modem: 312-850-0112/0117| Via Interactive UNIX to 
Voice: 312-850-0181     |    the Chicago Area.
WWW: http://tezcat.com/ | Mail: [email-masked]